UM .NET API 6.17.1

- Main Page
- Related Pages
- Packages
- Classes

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Protected Member Functions | Properties | List of all members
com.latencybusters.pdm.PDMMessage Class Reference

A PDM message consists of a definition and the corresponding optional and required fields as specified by the definition. Use PDMMessage#toBytes() to serialize a message to bytes or PDMMessage#parse(byte[]) to deserialize a message from bytes. More...

## Public Member Functions
| PDMMessage ()
| Empty constructor can be used when the PDMDefinition is not available.
| PDMMessage (PDMDefinition definition)
| Creates a message from a finalized PDMDefinition. More...
| PDMMessage (int definitionId, int versionMajor, int versionMinor)
| Creates a message from a finalized definition by looking it up in the PDMDefinitionCache by the id passed. More...
virtual void | updateOptOrVarFlag (PDMField field)
| Used internally to update the flag if needed to indicate that the message contains at least one optional or variable field. More...
bool | isFieldValueSet (PDMFieldInfo fieldInfo)
| Checks to see if the field's value is set. More...
virtual PDMFieldIterator | createFieldIterator ()
| Creates a new PDMFieldIterator to traverse through the PDMFields. More...
virtual void | loadDefinition (PDMDefinition definition)
| Loads the PDMDefinition passed and initializes the PDMMessage. More...
virtual PDMMessage | removeFieldValue (PDMFieldInfo fieldInfo)
| Removes the field value (corresponding to the passed field info) from the message. More...
virtual PDMMessage | setFieldValue (PDMFieldInfo fieldInfo, bool newValue)
| Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.Boolean. More...
virtual PDMMessage | setFieldValue (PDMFieldInfo fieldInfo, sbyte newValue)
| Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.INT8. More...
virtual PDMMessage | setFieldValue (PDMFieldInfo fieldInfo, byte newValue)
| Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.UINT8. More...
virtual PDMMessage | setFieldValue (PDMFieldInfo fieldInfo, short newValue)
| Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.INT16. More...
virtual PDMMessage | setFieldValue (PDMFieldInfo fieldInfo, ushort newValue)
| Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.UINT16. More...
virtual PDMMessage | setFieldValue (PDMFieldInfo fieldInfo, int newValue)
| Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.INT32. More...
virtual PDMMessage | setFieldValue (PDMFieldInfo fieldInfo, uint newValue)
| Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.UINT32. More...
virtual PDMMessage | setFieldValue (PDMFieldInfo fieldInfo, long newValue)
| Sets the field value in the message using the PDMFieldInfo handle that corresponition and should be of type PDMFieldType.INT64. More...
virtual PDMMessage | setFieldValue (PDMFieldInfo fieldInfo, ulong newValue)
| Sets the field value in the message using the PDMFieldInfo handle that corresponition and should be of type PDMFieldType.UINT64. More...
virtual PDMMessage | setFieldValue (PDMFieldInfo fieldInfo, float newValue)
| Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.FLOAT. More...
virtual PDMMessage | setFieldValue (PDMFieldInfo fieldInfo, double newValue)
| Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.DOUBLE. More...
virtual PDMMessage | setFieldValue (PDMFieldInfo fieldInfo, PDMDecimal newValue)
| Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.DECIMAL. More...
virtual PDMMessage | setFieldValue (PDMFieldInfo fieldInfo, PDMTimestamp newValue)
| Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.Timestamp. More...
virtual PDMMessage | setFieldValue (PDMFieldInfo fieldInfo, System.String newValue)
| Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.FIX_STRING or PDMFieldType.STRING or PDMFieldType.FIX_UNICODE or PDMFieldType.UNICODE. More...
virtual PDMMessage | setFieldValue (PDMFieldInfo fieldInfo, PDMMessage newValue)
| Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.MESSAGE. More...
virtual PDMMessage | setFieldValue (PDMFieldInfo fieldInfo, bool[] newValue)
| Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.BOOLEAN_ARR. More...
virtual PDMMessage | setFieldValue (PDMFieldInfo fieldInfo, sbyte[] newValue)
| Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.INT8_ARR. More...
virtual PDMMessage | setFieldValue (PDMFieldInfo fieldInfo, byte[] newValue)
| Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.UINT8_ARR or PDMFieldType.BLOB. More...
virtual PDMMessage | setFieldValue (PDMFieldInfo fieldInfo, short[] newValue)
| Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.INT16_ARR. More...
virtual PDMMessage | setFieldValue (PDMFieldInfo fieldInfo, ushort[] newValue)
| Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.UINT16_ARR. More...
virtual PDMMessage | setFieldValue (PDMFieldInfo fieldInfo, int[] newValue)
| Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.INT32_ARR. More...
virtual PDMMessage | setFieldValue (PDMFieldInfo fieldInfo, uint[] newValue)
| Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.UINT32_ARR. More...
virtual PDMMessage | setFieldValue (PDMFieldInfo fieldInfo, long[] newValue)
| Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.INT64_ARR. More...
virtual PDMMessage | setFieldValue (PDMFieldInfo fieldInfo, ulong[] newValue)
| Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.UINT64_ARR. More...
virtual PDMMessage | setFieldValue (PDMFieldInfo fieldInfo, float[] newValue)
| Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.FLOAT_ARR. More...
virtual PDMMessage | setFieldValue (PDMFieldInfo fieldInfo, double[] newValue)
| Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.DOUBLE_ARR. More...
virtual PDMMessage | setFieldValue (PDMFieldInfo fieldInfo, PDMDecimal[] newValue)
| Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.DECIMAL_ARR. More...
virtual PDMMessage | setFieldValue (PDMFieldInfo fieldInfo, PDMTimestamp[] newValue)
| Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.TIMESTAMP_ARR. More...
virtual PDMMessage | setFieldValue (PDMFieldInfo fieldInfo, System.String[] newValue)
| Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.FIX_STRING_ARR or PDMFieldType.STRING_ARR or PDMFieldType.FIX_UNICODE_ARR or PDMFieldType.UNICODE_ARR. More...
virtual PDMMessage | setFieldValue (PDMFieldInfo fieldInfo, byte[][] newValue)
| Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.BLOB_ARR. More...
virtual PDMMessage | setFieldValue (PDMFieldInfo fieldInfo, PDMMessage[] newValue)
| Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.MESSAGE_ARR. More...
virtual System.Object | getFieldValue (PDMFieldInfo fieldInfo)
| Gets a field value by using the PDMFieldInfo handle from the PDMDefinition. More...
virtual System.Boolean | getFieldValueAsBoolean (PDMFieldInfo fieldInfo)
| Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to a Boolean. More...
virtual System.SByte | getFieldValueAsInt8 (PDMFieldInfo fieldInfo)
| Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to a SByte. More...
virtual System.Byte | getFieldValueAsUInt8 (PDMFieldInfo fieldInfo)
| Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to a Byte. More...
virtual System.Int16 | getFieldValueAsInt16 (PDMFieldInfo fieldInfo)
| Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to Int16. More...
virtual System.UInt16 | getFieldValueAsUInt16 (PDMFieldInfo fieldInfo)
| Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to UInt16. More...
virtual System.Int32 | getFieldValueAsInt32 (PDMFieldInfo fieldInfo)
| Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to Int32. More...
virtual System.UInt32 | getFieldValueAsUInt32 (PDMFieldInfo fieldInfo)
| Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to UInt32. More...
virtual System.Int64 | getFieldValueAsInt64 (PDMFieldInfo fieldInfo)
| Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to Int64. More...
virtual System.UInt64 | getFieldValueAsUInt64 (PDMFieldInfo fieldInfo)
| Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to UInt64. More...
virtual System.Single | getFieldValueAsFloat (PDMFieldInfo fieldInfo)
| Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to Single. More...
virtual System.Double | getFieldValueAsDouble (PDMFieldInfo fieldInfo)
| Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to Double. More...
virtual PDMDecimal | getFieldValueAsDecimal (PDMFieldInfo fieldInfo)
| Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to PDMDecimal. More...
virtual PDMTimestamp | getFieldValueAsTimestamp (PDMFieldInfo fieldInfo)
| Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to PDMTimestamp. More...
virtual System.String | getFieldValueAsString (PDMFieldInfo fieldInfo)
| Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to String. More...
virtual byte[] | getFieldValueAsBlob (PDMFieldInfo fieldInfo)
| Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to byte[]. More...
virtual PDMMessage | getFieldValueAsMessage (PDMFieldInfo fieldInfo)
| Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to PDMMessage. More...
virtual bool[] | getFieldValueAsBooleanArray (PDMFieldInfo fieldInfo)
| Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to boolean[]. More...
virtual sbyte[] | getFieldValueAsInt8Array (PDMFieldInfo fieldInfo)
| Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to sbyte[]. More...
virtual byte[] | getFieldValueAsUInt8Array (PDMFieldInfo fieldInfo)
| Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to byte[]. More...
virtual short[] | getFieldValueAsInt16Array (PDMFieldInfo fieldInfo)
| Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to short[]. More...
virtual ushort[] | getFieldValueAsUInt16Array (PDMFieldInfo fieldInfo)
| Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to ushort[]. More...
virtual int[] | getFieldValueAsInt32Array (PDMFieldInfo fieldInfo)
| Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to int[]. More...
virtual uint[] | getFieldValueAsUInt32Array (PDMFieldInfo fieldInfo)
| Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to uint[]. More...
virtual long[] | getFieldValueAsInt64Array (PDMFieldInfo fieldInfo)
| Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to long[]. More...
virtual ulong[] | getFieldValueAsUInt64Array (PDMFieldInfo fieldInfo)
| Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to ulong[]. More...
virtual float[] | getFieldValueAsFloatArray (PDMFieldInfo fieldInfo)
| Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to float[]. More...
virtual double[] | getFieldValueAsDoubleArray (PDMFieldInfo fieldInfo)
| Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to double[]. More...
virtual PDMDecimal[] | getFieldValueAsDecimalArray (PDMFieldInfo fieldInfo)
| Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to PDMDecimal[]. More...
virtual PDMTimestamp[] | getFieldValueAsTimestampArray (PDMFieldInfo fieldInfo)
| Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to PDMTimestamp[]. More...
virtual System.String[] | getFieldValueAsStringArray (PDMFieldInfo fieldInfo)
| Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to String[]. More...
virtual byte[][] | getFieldValueAsBlobArray (PDMFieldInfo fieldInfo)
| Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to an array of blobs. More...
virtual PDMMessage[] | getFieldValueAsMessageArray (PDMFieldInfo fieldInfo)
| Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to PDMMessage[]. More...
virtual byte[] | toBytes ()
| Serializes the message to a new byte array. More...
virtual byte[] | toBytes (PDMSerializer ser)
| Serializes the message to a new byte array. More...
virtual int | toBytes (PDMSerializer ser, byte[] ba, int pos)
| Serializes the message to an existing byte array at position. More...
virtual int | parse (byte[] ba)
| Deserializes a message from a byte array. More...
virtual int | parse (byte[] ba, int pos)
| Deserializes a message from a byte array at position. More...
virtual int | parse (PDMDeserializer deser, byte[] ba, int pos)
| Deserializes a message from a byte array at position. More...

## Public Attributes
const int | VERSION_POLICY_EXACT = 0
| a const variable for "exact" versioning policy
const int | VERSION_POLICY_BEST = 1
| a const variable for "best" versioning policy

## Protected Member Functions
List< PDMField > | getFields ()
| Gets the list of PDMFields in this message. More...

## Properties
virtual PDMDefinition | Definition`[get]`
| Gets the PDMDefinition property of the message. More...
virtual PDMSerializer | Serializer`[get, set]`
| Gets or sets the PDMSerializer property of the message. More...
virtual PDMDeserializer | Deserializer`[get, set]`
| Gets or sets the PDMDeserializer property of the message. More...
virtual int | VersionPolicy`[get, set]`
| Gets or sets the VersionPolicy property of the message. More...
virtual bool | IncludeDefinition`[get, set]`
| Returns whether the PDMDefinition will be included when serializing to bytes (defaults to false) More...
virtual bool | UseMsgDefIfNeeded`[get, set]`
| Gets or sets whether an included PDMDefinition should be parsed and used instead of the previously set PDMDefinition in cases where the two ids, major versions, and minor versions do not match exactly (defaults to false) More...
virtual bool | TryToLoadDefFromCache`[get, set]`
| Gets or sets whether or not an attempt will be made when parsing a message to try to automatically loaded a PDMDefinition from the PDMDefinitionCache if the one currently set doesn't exactly match the one in the incoming message; the current one will be replaced (defaults to false) More...
virtual int | MessageLen`[get]`
| Gets the message length in bytes which is known after it has been serialized. More...
virtual bool | MsgDirty`[get, set]`
| Gets or sets the value of the MsgDirty flag. When a message has been serialized and then changed, we need to be able to re-serialize the message before updating the array that it is in. A message is "dirty" if it is modified after it has been serialized. More...

## Detailed Description

A PDM message consists of a definition and the corresponding optional and required fields as specified by the definition. Use PDMMessage#toBytes() to serialize a message to bytes or PDMMessage#parse(byte[]) to deserialize a message from bytes.

## Constructor & Destructor Documentation

com.latencybusters.pdm.PDMMessage.PDMMessage | ( | PDMDefinition | definition | ) |

Creates a message from a finalized PDMDefinition.

Parameters

  definition | The finalized PDMDefinition

com.latencybusters.pdm.PDMMessage.PDMMessage | ( | int | definitionId,
|  | int | versionMajor,
|  | int | versionMinor
| ) |  |

Creates a message from a finalized definition by looking it up in the PDMDefinitionCache by the id passed.

Parameters

  definitionId | The definition id to lookup in the cache
  versionMajor | The definition major version used in the lookup
  versionMinor | The definition minor version used in the lookup

References com.latencybusters.pdm.PDMDefinitionCache.get(), and com.latencybusters.pdm.PDMDefinitionCache.Instance.

## Member Function Documentation

virtual PDMFieldIterator com.latencybusters.pdm.PDMMessage.createFieldIterator | ( |  | ) |
| virtual

Creates a new PDMFieldIterator to traverse through the PDMFields.

Returns
  a new PDMFieldIterator object

List<PDMField> com.latencybusters.pdm.PDMMessage.getFields | ( |  | ) |
| protected

Gets the list of PDMFields in this message.

Returns
  the list of PDMFields

References com.latencybusters.pdm.PDMSection.Buffer, com.latencybusters.pdm.PDMOffsetTable.clear(), com.latencybusters.pdm.PDMSegmentHeader.clear(), com.latencybusters.pdm.PDMDefinition.compareTo(), com.latencybusters.pdm.PDMDefinition.compareToWithVersion(), com.latencybusters.pdm.PDMSection.createBuffer(), com.latencybusters.pdm.PDMField.FieldInfo, com.latencybusters.pdm.PDMDefinitionCache.get(), com.latencybusters.pdm.PDMOffsetTable.get(), com.latencybusters.pdm.PDMDefinition.getFieldInfoList(), com.latencybusters.pdm.PDMDefinition.Id, com.latencybusters.pdm.PDMDeserializer.isByteSwap(), com.latencybusters.pdm.PDMField.isValueSet(), com.latencybusters.pdm.PDMOffsetTable.MinOffsetIndex, com.latencybusters.pdm.PDMDefinition.MsgVersMajor, com.latencybusters.pdm.PDMDefinition.MsgVersMinor, com.latencybusters.pdm.PDMDefinition.NumFields, com.latencybusters.pdm.PDMOffsetTable.Offsets, com.latencybusters.pdm.PDMOffsetTable.parse(), com.latencybusters.pdm.PDMSegmentHeader.parse(), com.latencybusters.pdm.PDMDefinition.parse(), com.latencybusters.pdm.PDMDeserializer.readInt(), com.latencybusters.pdm.PDMOffsetTable.set(), com.latencybusters.pdm.PDMOffsetTable.Size, com.latencybusters.pdm.PDMOffsetTable.toBytes(), com.latencybusters.pdm.PDMMessageHeader.toBytes(), com.latencybusters.pdm.PDMSegmentHeader.toBytes(), com.latencybusters.pdm.PDMDefinition.toBytes(), com.latencybusters.pdm.PDMMessage.VERSION_POLICY_BEST, com.latencybusters.pdm.PDMMessage.VERSION_POLICY_EXACT, and com.latencybusters.pdm.PDMSerializer.writeByteArray().

virtual System.Object com.latencybusters.pdm.PDMMessage.getFieldValue | ( | PDMFieldInfo | fieldInfo | ) |
| virtual

Gets a field value by using the PDMFieldInfo handle from the PDMDefinition.

Parameters

  fieldInfo | the PDMFieldInfo handle

Returns
  The value as an Object that can be casted.

References com.latencybusters.pdm.PDMField.getValue(), and com.latencybusters.pdm.PDMField.isValueSet().

virtual byte [] com.latencybusters.pdm.PDMMessage.getFieldValueAsBlob | ( | PDMFieldInfo | fieldInfo | ) |
| virtual

Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to byte[].

Parameters

  fieldInfo | the PDMFieldInfo handle

Returns
  the value

virtual byte [][] com.latencybusters.pdm.PDMMessage.getFieldValueAsBlobArray | ( | PDMFieldInfo | fieldInfo | ) |
| virtual

Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to an array of blobs.

Parameters

  fieldInfo | the PDMFieldInfo handle

Returns
  the value

virtual System.Boolean com.latencybusters.pdm.PDMMessage.getFieldValueAsBoolean | ( | PDMFieldInfo | fieldInfo | ) |
| virtual

Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to a Boolean.

Parameters

  fieldInfo | the PDMFieldInfo handle

Returns
  the value

virtual bool [] com.latencybusters.pdm.PDMMessage.getFieldValueAsBooleanArray | ( | PDMFieldInfo | fieldInfo | ) |
| virtual

Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to boolean[].

Parameters

  fieldInfo | the PDMFieldInfo handle

Returns
  the value

virtual PDMDecimal com.latencybusters.pdm.PDMMessage.getFieldValueAsDecimal | ( | PDMFieldInfo | fieldInfo | ) |
| virtual

Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to PDMDecimal.

Parameters

  fieldInfo | the PDMFieldInfo handle

Returns
  the value

virtual PDMDecimal [] com.latencybusters.pdm.PDMMessage.getFieldValueAsDecimalArray | ( | PDMFieldInfo | fieldInfo | ) |
| virtual

Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to PDMDecimal[].

Parameters

  fieldInfo | the PDMFieldInfo handle

Returns
  the value

virtual System.Double com.latencybusters.pdm.PDMMessage.getFieldValueAsDouble | ( | PDMFieldInfo | fieldInfo | ) |
| virtual

Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to Double.

Parameters

  fieldInfo | the PDMFieldInfo handle

Returns
  the value

virtual double [] com.latencybusters.pdm.PDMMessage.getFieldValueAsDoubleArray | ( | PDMFieldInfo | fieldInfo | ) |
| virtual

Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to double[].

Parameters

  fieldInfo | the PDMFieldInfo handle

Returns
  the value

virtual System.Single com.latencybusters.pdm.PDMMessage.getFieldValueAsFloat | ( | PDMFieldInfo | fieldInfo | ) |
| virtual

Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to Single.

Parameters

  fieldInfo | the PDMFieldInfo handle

Returns
  the value

virtual float [] com.latencybusters.pdm.PDMMessage.getFieldValueAsFloatArray | ( | PDMFieldInfo | fieldInfo | ) |
| virtual

Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to float[].

Parameters

  fieldInfo | the PDMFieldInfo handle

Returns
  the value

virtual System.Int16 com.latencybusters.pdm.PDMMessage.getFieldValueAsInt16 | ( | PDMFieldInfo | fieldInfo | ) |
| virtual

Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to Int16.

Parameters

  fieldInfo | the PDMFieldInfo handle

Returns
  the value

virtual short [] com.latencybusters.pdm.PDMMessage.getFieldValueAsInt16Array | ( | PDMFieldInfo | fieldInfo | ) |
| virtual

Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to short[].

Parameters

  fieldInfo | the PDMFieldInfo handle

Returns
  the value

virtual System.Int32 com.latencybusters.pdm.PDMMessage.getFieldValueAsInt32 | ( | PDMFieldInfo | fieldInfo | ) |
| virtual

Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to Int32.

Parameters

  fieldInfo | the PDMFieldInfo handle

Returns
  the value

virtual int [] com.latencybusters.pdm.PDMMessage.getFieldValueAsInt32Array | ( | PDMFieldInfo | fieldInfo | ) |
| virtual

Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to int[].

Parameters

  fieldInfo | the PDMFieldInfo handle

Returns
  the value

virtual System.Int64 com.latencybusters.pdm.PDMMessage.getFieldValueAsInt64 | ( | PDMFieldInfo | fieldInfo | ) |
| virtual

Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to Int64.

Parameters

  fieldInfo | the PDMFieldInfo handle

Returns
  the value

virtual long [] com.latencybusters.pdm.PDMMessage.getFieldValueAsInt64Array | ( | PDMFieldInfo | fieldInfo | ) |
| virtual

Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to long[].

Parameters

  fieldInfo | the PDMFieldInfo handle

Returns
  the value

virtual System.SByte com.latencybusters.pdm.PDMMessage.getFieldValueAsInt8 | ( | PDMFieldInfo | fieldInfo | ) |
| virtual

Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to a SByte.

Parameters

  fieldInfo | the PDMFieldInfo handle

Returns
  the value

virtual sbyte [] com.latencybusters.pdm.PDMMessage.getFieldValueAsInt8Array | ( | PDMFieldInfo | fieldInfo | ) |
| virtual

Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to sbyte[].

Parameters

  fieldInfo | the PDMFieldInfo handle

Returns
  the value

virtual PDMMessage com.latencybusters.pdm.PDMMessage.getFieldValueAsMessage | ( | PDMFieldInfo | fieldInfo | ) |
| virtual

Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to PDMMessage.

Parameters

  fieldInfo | the PDMFieldInfo handle

Returns
  the value

virtual PDMMessage [] com.latencybusters.pdm.PDMMessage.getFieldValueAsMessageArray | ( | PDMFieldInfo | fieldInfo | ) |
| virtual

Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to PDMMessage[].

Parameters

  fieldInfo | the PDMFieldInfo handle

Returns
  the value

virtual System.String com.latencybusters.pdm.PDMMessage.getFieldValueAsString | ( | PDMFieldInfo | fieldInfo | ) |
| virtual

Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to String.

Parameters

  fieldInfo | the PDMFieldInfo handle

Returns
  the value

virtual System.String [] com.latencybusters.pdm.PDMMessage.getFieldValueAsStringArray | ( | PDMFieldInfo | fieldInfo | ) |
| virtual

Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to String[].

Parameters

  fieldInfo | the PDMFieldInfo handle

Returns
  the value

virtual PDMTimestamp com.latencybusters.pdm.PDMMessage.getFieldValueAsTimestamp | ( | PDMFieldInfo | fieldInfo | ) |
| virtual

Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to PDMTimestamp.

Parameters

  fieldInfo | the PDMFieldInfo handle

Returns
  the value

virtual PDMTimestamp [] com.latencybusters.pdm.PDMMessage.getFieldValueAsTimestampArray | ( | PDMFieldInfo | fieldInfo | ) |
| virtual

Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to PDMTimestamp[].

Parameters

  fieldInfo | the PDMFieldInfo handle

Returns
  the value

virtual System.UInt16 com.latencybusters.pdm.PDMMessage.getFieldValueAsUInt16 | ( | PDMFieldInfo | fieldInfo | ) |
| virtual

Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to UInt16.

Parameters

  fieldInfo | the PDMFieldInfo handle

Returns
  the value

virtual ushort [] com.latencybusters.pdm.PDMMessage.getFieldValueAsUInt16Array | ( | PDMFieldInfo | fieldInfo | ) |
| virtual

Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to ushort[].

Parameters

  fieldInfo | the PDMFieldInfo handle

Returns
  the value

virtual System.UInt32 com.latencybusters.pdm.PDMMessage.getFieldValueAsUInt32 | ( | PDMFieldInfo | fieldInfo | ) |
| virtual

Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to UInt32.

Parameters

  fieldInfo | the PDMFieldInfo handle

Returns
  the value

virtual uint [] com.latencybusters.pdm.PDMMessage.getFieldValueAsUInt32Array | ( | PDMFieldInfo | fieldInfo | ) |
| virtual

Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to uint[].

Parameters

  fieldInfo | the PDMFieldInfo handle

Returns
  the value

virtual System.UInt64 com.latencybusters.pdm.PDMMessage.getFieldValueAsUInt64 | ( | PDMFieldInfo | fieldInfo | ) |
| virtual

Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to UInt64.

Parameters

  fieldInfo | the PDMFieldInfo handle

Returns
  the value

virtual ulong [] com.latencybusters.pdm.PDMMessage.getFieldValueAsUInt64Array | ( | PDMFieldInfo | fieldInfo | ) |
| virtual

Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to ulong[].

Parameters

  fieldInfo | the PDMFieldInfo handle

Returns
  the value

virtual System.Byte com.latencybusters.pdm.PDMMessage.getFieldValueAsUInt8 | ( | PDMFieldInfo | fieldInfo | ) |
| virtual

Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to a Byte.

Parameters

  fieldInfo | the PDMFieldInfo handle

Returns
  the value

virtual byte [] com.latencybusters.pdm.PDMMessage.getFieldValueAsUInt8Array | ( | PDMFieldInfo | fieldInfo | ) |
| virtual

Gets the field value by using the PDMFieldInfo handle from the PDMDefinition and attempts to cast it to byte[].

Parameters

  fieldInfo | the PDMFieldInfo handle

Returns
  the value

bool com.latencybusters.pdm.PDMMessage.isFieldValueSet | ( | PDMFieldInfo | fieldInfo | ) |

Checks to see if the field's value is set.

Parameters

  fieldInfo | the corresponding field info handle

Returns
  true if the field value has been set or false if it has not

References com.latencybusters.pdm.PDMField.isValueSet().

virtual void com.latencybusters.pdm.PDMMessage.loadDefinition | ( | PDMDefinition | definition | ) |
| virtual

Loads the PDMDefinition passed and initializes the PDMMessage.

Parameters

  definition | the PDMDefinition to load

References com.latencybusters.pdm.PDMDefinition.Finalized.

virtual int com.latencybusters.pdm.PDMMessage.parse | ( | byte[] | ba | ) |
| virtual

Deserializes a message from a byte array.

Parameters

  ba | the byte array

Returns
  the updated position in the byte array after parsing this object

Referenced by com.latencybusters.pdm.PDMField.getMessageArrayValue(), com.latencybusters.pdm.PDMField.getMessageValue(), and com.latencybusters.pdm.PDMField.isValueSet().

virtual int com.latencybusters.pdm.PDMMessage.parse | ( | byte[] | ba,
|  | int | pos
| ) |  |
| virtual

Deserializes a message from a byte array at position.

Parameters

  ba | the byte array
  pos | the starting position

Returns
  the updated position in the byte array after parsing

virtual int com.latencybusters.pdm.PDMMessage.parse | ( | PDMDeserializer | deser,
|  | byte[] | ba,
|  | int | pos
| ) |  |
| virtual

Deserializes a message from a byte array at position.

Parameters

  deser | the PDMDeserializer to use
  ba | the byte array
  pos | the starting position

Returns
  the updated position in the byte array after parsing

References com.latencybusters.pdm.PDMMessageHeader.parse().

virtual PDMMessage com.latencybusters.pdm.PDMMessage.removeFieldValue | ( | PDMFieldInfo | fieldInfo | ) |
| virtual

Removes the field value (corresponding to the passed field info) from the message.

Parameters

  fieldInfo | the PDMFieldInfo of the field to remove

Returns
  this PDMMessage for chaining

References com.latencybusters.pdm.PDMField.FieldInfo, and com.latencybusters.pdm.PDMField.isValueSet().

virtual PDMMessage com.latencybusters.pdm.PDMMessage.setFieldValue | ( | PDMFieldInfo | fieldInfo,
|  | bool | newValue
| ) |  |
| virtual

Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.Boolean.

Parameters

  fieldInfo | the PDMFieldInfo handle
  newValue | the bool value

Returns
  a reference to this PDMMessage for chaining setFieldValue calls

References com.latencybusters.pdm.PDMField.setValue().

virtual PDMMessage com.latencybusters.pdm.PDMMessage.setFieldValue | ( | PDMFieldInfo | fieldInfo,
|  | sbyte | newValue
| ) |  |
| virtual

Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.INT8.

Parameters

  fieldInfo | the PDMFieldInfo handle
  newValue | the sbyte value

Returns
  a reference to this PDMMessage for chaining setFieldValue calls

References com.latencybusters.pdm.PDMField.setValue().

virtual PDMMessage com.latencybusters.pdm.PDMMessage.setFieldValue | ( | PDMFieldInfo | fieldInfo,
|  | byte | newValue
| ) |  |
| virtual

Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.UINT8.

Parameters

  fieldInfo | the PDMFieldInfo handle
  newValue | the byte value

Returns
  a reference to this PDMMessage for chaining setFieldValue calls

References com.latencybusters.pdm.PDMField.setValue().

virtual PDMMessage com.latencybusters.pdm.PDMMessage.setFieldValue | ( | PDMFieldInfo | fieldInfo,
|  | short | newValue
| ) |  |
| virtual

Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.INT16.

Parameters

  fieldInfo | the PDMFieldInfo handle
  newValue | the short value

Returns
  a reference to this PDMMessage for chaining setFieldValue calls

References com.latencybusters.pdm.PDMField.setValue().

virtual PDMMessage com.latencybusters.pdm.PDMMessage.setFieldValue | ( | PDMFieldInfo | fieldInfo,
|  | ushort | newValue
| ) |  |
| virtual

Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.UINT16.

Parameters

  fieldInfo | the PDMFieldInfo handle
  newValue | the ushort value

Returns
  a reference to this PDMMessage for chaining setFieldValue calls

References com.latencybusters.pdm.PDMField.setValue().

virtual PDMMessage com.latencybusters.pdm.PDMMessage.setFieldValue | ( | PDMFieldInfo | fieldInfo,
|  | int | newValue
| ) |  |
| virtual

Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.INT32.

Parameters

  fieldInfo | the PDMFieldInfo handle
  newValue | the int value

Returns
  a reference to this PDMMessage for chaining setFieldValue calls

References com.latencybusters.pdm.PDMField.setValue().

virtual PDMMessage com.latencybusters.pdm.PDMMessage.setFieldValue | ( | PDMFieldInfo | fieldInfo,
|  | uint | newValue
| ) |  |
| virtual

Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.UINT32.

Parameters

  fieldInfo | the PDMFieldInfo handle
  newValue | the uint value

Returns
  a reference to this PDMMessage for chaining setFieldValue calls

References com.latencybusters.pdm.PDMField.setValue().

virtual PDMMessage com.latencybusters.pdm.PDMMessage.setFieldValue | ( | PDMFieldInfo | fieldInfo,
|  | long | newValue
| ) |  |
| virtual

Sets the field value in the message using the PDMFieldInfo handle that corresponition and should be of type PDMFieldType.INT64.

Parameters

  fieldInfo | the PDMFieldInfo handle
  newValue | the long value

Returns
  a reference to this PDMMessage for chaining setFieldValue calls

References com.latencybusters.pdm.PDMField.setValue().

virtual PDMMessage com.latencybusters.pdm.PDMMessage.setFieldValue | ( | PDMFieldInfo | fieldInfo,
|  | ulong | newValue
| ) |  |
| virtual

Sets the field value in the message using the PDMFieldInfo handle that corresponition and should be of type PDMFieldType.UINT64.

Parameters

  fieldInfo | the PDMFieldInfo handle
  newValue | the ulong value

Returns
  a reference to this PDMMessage for chaining setFieldValue calls

References com.latencybusters.pdm.PDMField.setValue().

virtual PDMMessage com.latencybusters.pdm.PDMMessage.setFieldValue | ( | PDMFieldInfo | fieldInfo,
|  | float | newValue
| ) |  |
| virtual

Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.FLOAT.

Parameters

  fieldInfo | the PDMFieldInfo handle
  newValue | the float value

Returns
  a reference to this PDMMessage for chaining setFieldValue calls

References com.latencybusters.pdm.PDMField.setValue().

virtual PDMMessage com.latencybusters.pdm.PDMMessage.setFieldValue | ( | PDMFieldInfo | fieldInfo,
|  | double | newValue
| ) |  |
| virtual

Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.DOUBLE.

Parameters

  fieldInfo | the PDMFieldInfo handle
  newValue | the double value

Returns
  a reference to this PDMMessage for chaining setFieldValue calls

References com.latencybusters.pdm.PDMField.setValue().

virtual PDMMessage com.latencybusters.pdm.PDMMessage.setFieldValue | ( | PDMFieldInfo | fieldInfo,
|  | PDMDecimal | newValue
| ) |  |
| virtual

Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.DECIMAL.

Parameters

  fieldInfo | the PDMFieldInfo handle
  newValue | the PDMDecimal value

Returns
  a reference to this PDMMessage for chaining setFieldValue calls

References com.latencybusters.pdm.PDMField.setValue().

virtual PDMMessage com.latencybusters.pdm.PDMMessage.setFieldValue | ( | PDMFieldInfo | fieldInfo,
|  | PDMTimestamp | newValue
| ) |  |
| virtual

Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.Timestamp.

Parameters

  fieldInfo | the PDMFieldInfo handle
  newValue | the PDMTimestamp value

Returns
  a reference to this PDMMessage for chaining setFieldValue calls

References com.latencybusters.pdm.PDMField.setValue().

virtual PDMMessage com.latencybusters.pdm.PDMMessage.setFieldValue | ( | PDMFieldInfo | fieldInfo,
|  | System.String | newValue
| ) |  |
| virtual

Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.FIX_STRING or PDMFieldType.STRING or PDMFieldType.FIX_UNICODE or PDMFieldType.UNICODE.

Parameters

  fieldInfo | the PDMFieldInfo handle
  newValue | the String value

Returns
  a reference to this PDMMessage for chaining setFieldValue calls

References com.latencybusters.pdm.PDMField.setValue().

virtual PDMMessage com.latencybusters.pdm.PDMMessage.setFieldValue | ( | PDMFieldInfo | fieldInfo,
|  | PDMMessage | newValue
| ) |  |
| virtual

Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.MESSAGE.

Parameters

  fieldInfo | the PDMFieldInfo handle
  newValue | the PDMMessage value

Returns
  a reference to this PDMMessage for chaining setFieldValue calls

References com.latencybusters.pdm.PDMField.setValue().

virtual PDMMessage com.latencybusters.pdm.PDMMessage.setFieldValue | ( | PDMFieldInfo | fieldInfo,
|  | bool[] | newValue
| ) |  |
| virtual

Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.BOOLEAN_ARR.

Parameters

  fieldInfo | the PDMFieldInfo handle
  newValue | the bool array value

Returns
  a reference to this PDMMessage for chaining setFieldValue calls

References com.latencybusters.pdm.PDMField.setValue().

virtual PDMMessage com.latencybusters.pdm.PDMMessage.setFieldValue | ( | PDMFieldInfo | fieldInfo,
|  | sbyte[] | newValue
| ) |  |
| virtual

Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.INT8_ARR.

Parameters

  fieldInfo | the PDMFieldInfo handle
  newValue | the sbyte array value

Returns
  a reference to this PDMMessage for chaining setFieldValue calls

References com.latencybusters.pdm.PDMField.setValue().

virtual PDMMessage com.latencybusters.pdm.PDMMessage.setFieldValue | ( | PDMFieldInfo | fieldInfo,
|  | byte[] | newValue
| ) |  |
| virtual

Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.UINT8_ARR or PDMFieldType.BLOB.

Parameters

  fieldInfo | the PDMFieldInfo handle
  newValue | the byte array value

Returns
  a reference to this PDMMessage for chaining setFieldValue calls

References com.latencybusters.pdm.PDMField.setValue().

virtual PDMMessage com.latencybusters.pdm.PDMMessage.setFieldValue | ( | PDMFieldInfo | fieldInfo,
|  | short[] | newValue
| ) |  |
| virtual

Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.INT16_ARR.

Parameters

  fieldInfo | the PDMFieldInfo handle
  newValue | the short array value

Returns
  a reference to this PDMMessage for chaining setFieldValue calls

References com.latencybusters.pdm.PDMField.setValue().

virtual PDMMessage com.latencybusters.pdm.PDMMessage.setFieldValue | ( | PDMFieldInfo | fieldInfo,
|  | ushort[] | newValue
| ) |  |
| virtual

Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.UINT16_ARR.

Parameters

  fieldInfo | the PDMFieldInfo handle
  newValue | the ushort array value

Returns
  a reference to this PDMMessage for chaining setFieldValue calls

References com.latencybusters.pdm.PDMField.setValue().

virtual PDMMessage com.latencybusters.pdm.PDMMessage.setFieldValue | ( | PDMFieldInfo | fieldInfo,
|  | int[] | newValue
| ) |  |
| virtual

Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.INT32_ARR.

Parameters

  fieldInfo | the PDMFieldInfo handle
  newValue | the int array value

Returns
  a reference to this PDMMessage for chaining setFieldValue calls

References com.latencybusters.pdm.PDMField.setValue().

virtual PDMMessage com.latencybusters.pdm.PDMMessage.setFieldValue | ( | PDMFieldInfo | fieldInfo,
|  | uint[] | newValue
| ) |  |
| virtual

Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.UINT32_ARR.

Parameters

  fieldInfo | the PDMFieldInfo handle
  newValue | the uint array value

Returns
  a reference to this PDMMessage for chaining setFieldValue calls

References com.latencybusters.pdm.PDMField.setValue().

virtual PDMMessage com.latencybusters.pdm.PDMMessage.setFieldValue | ( | PDMFieldInfo | fieldInfo,
|  | long[] | newValue
| ) |  |
| virtual

Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.INT64_ARR.

Parameters

  fieldInfo | the PDMFieldInfo handle
  newValue | the long array value

Returns
  a reference to this PDMMessage for chaining setFieldValue calls

References com.latencybusters.pdm.PDMField.setValue().

virtual PDMMessage com.latencybusters.pdm.PDMMessage.setFieldValue | ( | PDMFieldInfo | fieldInfo,
|  | ulong[] | newValue
| ) |  |
| virtual

Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.UINT64_ARR.

Parameters

  fieldInfo | the PDMFieldInfo handle
  newValue | the ulong array value

Returns
  a reference to this PDMMessage for chaining setFieldValue calls

References com.latencybusters.pdm.PDMField.setValue().

virtual PDMMessage com.latencybusters.pdm.PDMMessage.setFieldValue | ( | PDMFieldInfo | fieldInfo,
|  | float[] | newValue
| ) |  |
| virtual

Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.FLOAT_ARR.

Parameters

  fieldInfo | the PDMFieldInfo handle
  newValue | the float array value

Returns
  a reference to this PDMMessage for chaining setFieldValue calls

References com.latencybusters.pdm.PDMField.setValue().

virtual PDMMessage com.latencybusters.pdm.PDMMessage.setFieldValue | ( | PDMFieldInfo | fieldInfo,
|  | double[] | newValue
| ) |  |
| virtual

Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.DOUBLE_ARR.

Parameters

  fieldInfo | the PDMFieldInfo handle
  newValue | the double array value

Returns
  a reference to this PDMMessage for chaining setFieldValue calls

References com.latencybusters.pdm.PDMField.setValue().

virtual PDMMessage com.latencybusters.pdm.PDMMessage.setFieldValue | ( | PDMFieldInfo | fieldInfo,
|  | PDMDecimal[] | newValue
| ) |  |
| virtual

Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.DECIMAL_ARR.

Parameters

  fieldInfo | the PDMFieldInfo handle
  newValue | the PDMDecimal array value

Returns
  a reference to this PDMMessage for chaining setFieldValue calls

References com.latencybusters.pdm.PDMField.setValue().

virtual PDMMessage com.latencybusters.pdm.PDMMessage.setFieldValue | ( | PDMFieldInfo | fieldInfo,
|  | PDMTimestamp[] | newValue
| ) |  |
| virtual

Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.TIMESTAMP_ARR.

Parameters

  fieldInfo | the PDMFieldInfo handle
  newValue | the PDMTimestamp array value

Returns
  a reference to this PDMMessage for chaining setFieldValue calls

References com.latencybusters.pdm.PDMField.setValue().

virtual PDMMessage com.latencybusters.pdm.PDMMessage.setFieldValue | ( | PDMFieldInfo | fieldInfo,
|  | System.String[] | newValue
| ) |  |
| virtual

Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.FIX_STRING_ARR or PDMFieldType.STRING_ARR or PDMFieldType.FIX_UNICODE_ARR or PDMFieldType.UNICODE_ARR.

Parameters

  fieldInfo | the PDMFieldInfo handle
  newValue | the String array value

Returns
  a reference to this PDMMessage for chaining setFieldValue calls

References com.latencybusters.pdm.PDMField.setValue().

virtual PDMMessage com.latencybusters.pdm.PDMMessage.setFieldValue | ( | PDMFieldInfo | fieldInfo,
|  | byte | newValue[][]
| ) |  |
| virtual

Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.BLOB_ARR.

Parameters

  fieldInfo | the PDMFieldInfo handle
  newValue | the byte[] array value

Returns
  a reference to this PDMMessage for chaining setFieldValue calls

References com.latencybusters.pdm.PDMField.setValue().

virtual PDMMessage com.latencybusters.pdm.PDMMessage.setFieldValue | ( | PDMFieldInfo | fieldInfo,
|  | PDMMessage[] | newValue
| ) |  |
| virtual

Sets the field value in the message using the PDMFieldInfo handle and should be of type PDMFieldType.MESSAGE_ARR.

Parameters

  fieldInfo | the PDMFieldInfo handle
  newValue | the PDMMessage array value

Returns
  a reference to this PDMMessage for chaining setFieldValue calls

References com.latencybusters.pdm.PDMField.setValue().

virtual byte [] com.latencybusters.pdm.PDMMessage.toBytes | ( |  | ) |
| virtual

Serializes the message to a new byte array.

Returns
  the new byte array

virtual byte [] com.latencybusters.pdm.PDMMessage.toBytes | ( | PDMSerializer | ser | ) |
| virtual

Serializes the message to a new byte array.

Parameters

  ser | the PDMSerializer to use

Returns
  the new byte array

virtual int com.latencybusters.pdm.PDMMessage.toBytes | ( | PDMSerializer | ser,
|  | byte[] | ba,
|  | int | pos
| ) |  |
| virtual

Serializes the message to an existing byte array at position.

Parameters

  ser | the PDMSerializer to use
  ba | the byte array
  pos | the starting position

Returns
  the updated position in the byte array after serializing this object

virtual void com.latencybusters.pdm.PDMMessage.updateOptOrVarFlag | ( | PDMField | field | ) |
| virtual

Used internally to update the flag if needed to indicate that the message contains at least one optional or variable field.

Parameters

  field | the field to check

References com.latencybusters.pdm.PDMField.FieldInfo, and com.latencybusters.pdm.PDMField.isValueSet().

## Property Documentation

virtual PDMDefinition com.latencybusters.pdm.PDMMessage.Definition
| get

Gets the PDMDefinition property of the message.

Values: the definition for this message

virtual PDMDeserializer com.latencybusters.pdm.PDMMessage.Deserializer
| get set

Gets or sets the PDMDeserializer property of the message.

Values: the deserializer for this message

virtual bool com.latencybusters.pdm.PDMMessage.IncludeDefinition
| get set

Returns whether the PDMDefinition will be included when serializing to bytes (defaults to false)

Values: the bool indicating whether to include the definition or not

Referenced by com.latencybusters.pdm.PDMField.setValue().

virtual int com.latencybusters.pdm.PDMMessage.MessageLen
| get

Gets the message length in bytes which is known after it has been serialized.

Values: the message length in bytes

Referenced by com.latencybusters.pdm.PDMField.setValue().

virtual bool com.latencybusters.pdm.PDMMessage.MsgDirty
| get set

Gets or sets the value of the MsgDirty flag. When a message has been serialized and then changed, we need to be able to re-serialize the message before updating the array that it is in. A message is "dirty" if it is modified after it has been serialized.

Values: the bool value

virtual PDMSerializer com.latencybusters.pdm.PDMMessage.Serializer
| get set

Gets or sets the PDMSerializer property of the message.

Values: the serializer for this message

Referenced by com.latencybusters.pdm.PDMField.setValue().

virtual bool com.latencybusters.pdm.PDMMessage.TryToLoadDefFromCache
| get set

Gets or sets whether or not an attempt will be made when parsing a message to try to automatically loaded a PDMDefinition from the PDMDefinitionCache if the one currently set doesn't exactly match the one in the incoming message; the current one will be replaced (defaults to false)

Values: the bool value

virtual bool com.latencybusters.pdm.PDMMessage.UseMsgDefIfNeeded
| get set

Gets or sets whether an included PDMDefinition should be parsed and used instead of the previously set PDMDefinition in cases where the two ids, major versions, and minor versions do not match exactly (defaults to false)

Values: the bool value

virtual int com.latencybusters.pdm.PDMMessage.VersionPolicy
| get set

Gets or sets the VersionPolicy property of the message.

Values: the version policy of the message which should be VERSION_POLICY_BEST or VERSION_POLICY_EXACT

The documentation for this class was generated from the following file:

- PDMMessage.cs